## ngcp-status 13.5.1.1+0~mr13.5.1.1

=== Makefile ===
PREFIX := /usr
PROGRAMS := sbin/*
FUNCTIONS := functions/*

build:
	@echo "Checking for valid bash syntax:"
	bash -nx sbin/ngcp-status
	bash -nx functions/*

install: $(sbin) $(functions)
	mkdir -p $(DESTDIR)/$(PREFIX)/sbin/
	for prog in $(PROGRAMS); do \
		install -m 0755 $$prog $(DESTDIR)/$(PREFIX)/sbin; \
	done

	mkdir -p $(DESTDIR)/$(PREFIX)/share/ngcp-status/functions/
	for func in $(FUNCTIONS); do \
		install -m 0775 $$func $(DESTDIR)/$(PREFIX)/share/ngcp-status/functions/; \
	done

.PHONY: install

=== debian/changelog ===
ngcp-status (13.5.1.1+0~mr13.5.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 02 Oct 2025 10:54:44 +0200

ngcp-status (13.5.1.0+0~mr13.5.1.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [345acbb] MT#63103 Exclude efivarfs from disk usage checks

  [ Guillem Jover ]
  * [d089e3f] MT#56670 Split costly host checks into their own functions
  * [e5ca66d] MT#56670 Split costly location checks into their own function
  * [df40fa7] MT#56670 Optimize parsing
  * [ca97ecb] MT#56670 host-summary: Parallelize execution

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:45:28 +0200

ngcp-status (13.5.0.0+0~mr13.5.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [8765520] MT#62598 shellcheck fixes

  [ Michael Prokop ]
  * [4b42eda] MT#62794 Fix HA pingnodes handling

  [ Guillem Jover ]
  * [fac26e9] MT#62763 Fix shellcheck issues

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:44:25 +0200

ngcp-status (13.4.0.0+0~mr13.4.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [2387e50] MT#59129 silence warning if license is not loaded

  [ Guillem Jover ]
  * [9948b44] MT#62325 Remove bullseye support

  [ Michael Prokop ]
  * [efcadf6] MT#62480 Disk usage check: ignore iso9660 filesystem

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:28:52 +0200

ngcp-status (13.3.0.0+0~mr13.3.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [34ad505] MT#61757 warn about logged CDR errors

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 28 Jan 2025 15:15:38 +0100

ngcp-status (13.2.0.0+0~mr13.2.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [fe352f4] MT#61180 Match on «^Swap:» instead of «Swap» from /proc/<PID>/smaps
  * [a44bae1] MT#61180 Remove duplicate faxserver config knob
  * [db8e851] MT#61180 Rename mysql max variables to namespace them on MYSQL_
  * [8c90743] MT#61180 Sort variable definitions with default values
  * [477c6d4] MT#61180 ngcp-status: Turn the used swap knobs from kB to %
  * [0f30f31] MT#58356 Handle new ntpq server output
  * [e03fed2] MT#61180 Improve swap usage reporting
  * [77c99ef] MT#61391 Add new check for minimum required NTP servers
  * [19fa9e3] MT#61391 Uppercase NTP in warning and error messages

  [ Michael Prokop ]
  * [a52be81] MT#60815 Update Debian version check for trixie

  [ Richard Fuchs ]
  * [38608ef] MT#59129 don't break on not loaded license module

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Dec 2024 11:27:53 +0100

ngcp-status (13.1.0.0+0~mr13.1.0.0) unstable; urgency=medium

  [ Richard Fuchs ]
  * [4ceae4b] MT#59129 add more licensed enable flags
  * [ccd87dd] MT#59129 add generic license flag check
  * [d74608b] MT#59129 rename license_capabilities_errors
  * [2514f74] MT#59129 add license check for metrics/limits

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 01 Oct 2024 10:00:56 +0200

ngcp-status (13.0.0.0+0~mr13.0.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [6cea3b0] MT#60419 Fix Debian version detection.
    Thanks to Jiri Ptacnik for the bug report
  * [6a13bce] MT#60419 check_sipwise_hosts: use lsb_release to identify Debian codename

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jul 2024 12:03:43 +0200

ngcp-status (12.5.0.0+0~mr12.5.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [87a09a4] TT#167050 Pass --skip-checks=load to ngcp-collective-check on --ignore-load
  * [0e781be] MT#59659 Use ip(8) instead of ifconfig(8)

  [ Richard Fuchs ]
  * [e46187b] MT#58962 update license flag checks
  * [1f7a2c4] MT#58962 fix typo

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 May 2024 14:32:27 +0200

ngcp-status (12.4.0.0+0~mr12.4.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [607e62a] MT#59241 update number of expected repos in check

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 15 Mar 2024 08:49:07 +0100

ngcp-status (12.3.0.0+0~mr12.3.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [ca4724a] MT#58942 Skip 'check_voip_status' if kam proxy is not enabled

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Jan 2024 14:48:02 +0100

ngcp-status (12.2.0.0+0~mr12.2.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [093a9ba] MT#58522 Replace obsolete reference to Heartbeat by HA

  [ Richard Fuchs ]
  * [e970332] MT#58510 adapt to rtpengine nftables usage

  [ Mykola Malkov ]
  * [29c0217] MT#58773 Change error to warning for ngcp-mysql-compare-dbs

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 29 Nov 2023 13:37:42 +0100

ngcp-status (12.1.0.0+0~mr12.1.0.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [a95b17a] MT#58356 Update packaging for bookworm

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 15 Oct 2023 08:24:39 +0200

ngcp-status (12.0.1.0+0~mr12.0.1.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [bc5a83e] MT#54408 Add spN support instead of hardcoding sp1/sp2

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 30 Aug 2023 18:05:09 +0200

ngcp-status (11.5.0.0+0~mr11.5.0.0) unstable; urgency=medium

  [ Mykola Malkov ]
  * [157a2d7] MT#57594 Run ngcp-mysql-compare-dbs on CE

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 26 Jun 2023 14:11:26 +0200

ngcp-status (11.4.0.0+0~mr11.4.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [fe8f28a] MT#56566 SWAP report: avoid reporting non-consumers

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 24 Mar 2023 13:04:45 +0100

ngcp-status (11.3.0.0+0~mr11.3.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [06b676d] MT#55525 Check mysql situation on LI nodes only if they are also LB node
  * [2c3da9d] MT#55891 Add support for Debian/bookworm, drop Debian/stretch
  * [5629538] MT#55907 mysql: ignore 'sys' database in InnoDB checks

  [ Mykola Malkov ]
  * [9b7cdde] MT#55961 Increase timeout for ngcp-mysql-compare-dbs

  [ Guillem Jover ]


=== debian/control ===
Source: ngcp-status
Section: admin
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.2
Homepage: https://www.sipwise.com/

Package: ngcp-status
Architecture: all
Depends:
 debsums,
 dmidecode,
 inxi,
 iputils-ping,
 jq,
 ngcp-system-tools,
 procps,
 pssh,
 ${misc:Depends},
Suggests:
 ipmitool,
 openipmi,
Description: check and verify status of NGCP system
 This package provides the "ngcp-status" tool to check and
 verify the status of a NGCP system. Its purpose is to e.g.
 make sure all the expected Debian repositories are present
 and enabled. While the ngcp-upgrade-* packages are meant
 for upgrading NGCP systems from one major release to newer
 ones, this package provides support for correcting possibly
 outstanding issues within one specific release.

## ngcp-status 13.5.1.2+0~mr13.5.1.2

=== debian/changelog ===
ngcp-status (13.5.1.2+0~mr13.5.1.2) unstable; urgency=medium

  [ Guillem Jover ]
  * [6216daf] MT#56670 Simplify and reduce race condition in zombie check
  * [fc9614b] MT#56670 Move zombie check after wait

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 28 Oct 2025 15:49:15 +0100

## ngcp-status 14.0.1.1+0~mr14.0.1.1

=== debian/changelog ===
ngcp-status (14.0.1.1+0~mr14.0.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:33:06 +0100

ngcp-status (14.0.1.0+0~mr14.0.1.0) unstable; urgency=medium

  [ Guillem Jover ]
  * [11d9c88] MT#62763 Fix shellcheck issues
  * [b654187] MT#56670 Simplify and reduce race condition in zombie check
  * [9d4cd54] MT#56670 Move zombie check after wait

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:57:00 +0100

ngcp-status (14.0.0.0+0~mr14.0.0.0) unstable; urgency=medium

  [ Michael Prokop ]
  * [345acbb] MT#63103 Exclude efivarfs from disk usage checks

  [ Guillem Jover ]
  * [d089e3f] MT#56670 Split costly host checks into their own functions
  * [e5ca66d] MT#56670 Split costly location checks into their own function
  * [df40fa7] MT#56670 Optimize parsing
  * [ca97ecb] MT#56670 host-summary: Parallelize execution

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:45:29 +0200

## ngcp-status 14.0.1.2+0~mr14.0.1.2

=== debian/changelog ===
ngcp-status (14.0.1.2+0~mr14.0.1.2) unstable; urgency=medium

  [ Jose Su ]
  * [7a8c6d5] MT#64155 Add timeout when fetching active dialogs in kamailio proxy

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 22 Dec 2025 10:02:56 +0100
